<?php 
// date_default_timezone_set("America/Fortaleza");
// setlocale(LC_ALL, 'pt_BR');

ini_set('display_errors', 1);
ini_set('display_startup_erros', 1);
error_reporting(E_ALL);

spl_autoload_register(function($value) {

    $includes = __DIR__."/vendor".DIRECTORY_SEPARATOR.'classe.'.strtolower($value).".php";
    
    if(file_exists($includes)) {
        require_once($includes);   
    }

    $vendorMail = __DIR__."/vendor/PHPMailer".DIRECTORY_SEPARATOR.'class.'.strtolower($value).".php";
    
    if(file_exists($vendorMail)) {
        require_once($vendorMail);   
    }

    $pagseguro = __DIR__."/vendor/pagseguro".DIRECTORY_SEPARATOR.$value.".class.php";
    
    if(file_exists($pagseguro)) {
        require_once($pagseguro);   
    }

    $paghiper = __DIR__."/vendor/paghiper".DIRECTORY_SEPARATOR.$value.".class.php";
    
    if(file_exists($paghiper)) {
        require_once($paghiper);   
    }

    $file = __DIR__."/painel_clientes_new".DIRECTORY_SEPARATOR.$value.".php";
    
    if(file_exists($file)) {
        require_once($file);   
    }

    $model = __DIR__."/vendor/model".DIRECTORY_SEPARATOR.$value.".php";
    
    if(file_exists($model)) {
        require_once($model);   
    }

    $Lib = __DIR__."/beta/vendor/Lib".DIRECTORY_SEPARATOR.$value.".php";
    
    if(file_exists($Lib)) {
        require_once($Lib);   
    }


});


  



